Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

bump dependencies

  • Loading branch information...
commit b42aea38161c8ac54096181d205afe84fcf62674 1 parent f699580
@yannlugrin yannlugrin authored
View
6 .travis.yml
@@ -4,7 +4,7 @@ branches:
rvm:
- 1.8.7
- 1.9.2
- # - 1.9.3
+ - 1.9.3
# - ree
# - jruby-18mode
# - jruby-19mode
@@ -12,15 +12,11 @@ rvm:
# - rbx-19mode
gemfile:
- gemfiles/minitest-1.7
- # - gemfiles/minitest-2.0
- gemfiles/minitest-2.1
- - gemfiles/guard-1.0
matrix:
exclude:
- rvm: 1.8.7
gemfile: gemfiles/minitest-2.1
- - rvm: 1.8.7
- gemfile: gemfiles/guard-1.0
notifications:
recipients:
- yann.lugrin@sans-savoir.net
View
0  CHANGELOG.rdoc → CHANGELOG.md
File renamed without changes
View
2  Gemfile
@@ -2,8 +2,6 @@ source 'http://rubygems.org'
gemspec
-gem 'rake'
-
require 'rbconfig'
if RbConfig::CONFIG['target_os'] =~ /darwin/i
gem 'rb-fsevent', '>= 0.3.2', :require => false
View
0  README.rdoc → README.md
File renamed without changes
View
8 gemfiles/guard-1.0
@@ -1,8 +0,0 @@
-source 'http://rubygems.org'
-
-gem 'rake'
-gem 'guard', '~> 1.0'
-gem 'minitest', '~> 2.1.0'
-gem 'bundler', '~> 1.0.2'
-gem 'mocha', '~> 0.9.8'
-
View
6 gemfiles/minitest-1.7
@@ -1,8 +1,8 @@
source 'http://rubygems.org'
gem 'rake'
-gem 'guard', '~> 0.4'
+gem 'guard', '~> 1.0'
gem 'minitest', '~> 1.7.2'
-gem 'bundler', '~> 1.0.2'
-gem 'mocha', '~> 0.9.8'
+gem 'bundler', '~> 1.0'
+gem 'mocha', '~> 0.10'
View
8 gemfiles/minitest-2.0
@@ -1,8 +0,0 @@
-source 'http://rubygems.org'
-
-gem 'rake'
-gem 'guard', '~> 0.4'
-gem 'minitest', '~> 2.0.0'
-gem 'bundler', '~> 1.0.2'
-gem 'mocha', '~> 0.9.8'
-
View
8 gemfiles/minitest-2.1
@@ -1,8 +1,8 @@
source 'http://rubygems.org'
gem 'rake'
-gem 'guard', '~> 0.4'
-gem 'minitest', '~> 2.1.0'
-gem 'bundler', '~> 1.0.2'
-gem 'mocha', '~> 0.9.8'
+gem 'guard', '~> 1.0'
+gem 'minitest', '~> 2.1'
+gem 'bundler', '~> 1.0'
+gem 'mocha', '~> 0.10'
View
11 guard-minitest.gemspec
@@ -15,13 +15,14 @@ Gem::Specification.new do |s|
s.required_rubygems_version = '>= 1.3.6'
s.rubyforge_project = 'guard-minitest'
- s.add_dependency 'guard', '>= 0.4'
+ s.add_dependency 'guard', '~> 1.0'
- s.add_development_dependency 'minitest', '~> 2.1.0'
- s.add_development_dependency 'bundler', '>= 1.0.2'
- s.add_development_dependency 'mocha', '>= 0.9.8'
+ s.add_development_dependency 'rake'
+ s.add_development_dependency 'minitest', '~> 2.1'
+ s.add_development_dependency 'bundler', '~> 1.0'
+ s.add_development_dependency 'mocha', '~> 0.10'
- s.files = Dir.glob('{lib}/**/*') + %w[LICENSE README.rdoc]
+ s.files = Dir.glob('{lib}/**/*') + %w[LICENSE README.md CHANGELOG.md]
s.require_path = 'lib'
s.rdoc_options = ["--charset=UTF-8", "--main=README.rdoc", "--exclude='(lib|test|spec)|(Gem|Guard|Rake)file'"]
Please sign in to comment.
Something went wrong with that request. Please try again.